function [prob] = KDEprob(y, T, sigma)
% function [prob] = KDEprob(y, T, sigma)
%    Returns estimate of a probability at point y, based on Kernel Density
%    Estimation using vectors in T, with a gaussian kernel (cov. sigma).
%    Includes normalisation, so the returned value is a valid pdf.
	
	ymT = bsxfun(@minus, y, T);
	k = kern(ymT, sigma);
	prob = sum(k) / size(T, 2);
	
end
