function [S2, prevChange] = interpolatePoints(S, N)
	LEN = size(S, 2);
	if LEN >= N
		S2 = S;
		prevChange = LEN == N;
		return
	end
	
	ptsPerInt = ceil( (N - LEN) / (LEN - 1));
	ptsPrev = ceil( (N - LEN + 1) / (LEN - 2));
	prevChange = ptsPerInt ~= ptsPrev;
	ration = 1 / (ptsPerInt + 1);
	rations = cumsum(repmat(ration, 1, ptsPerInt));
	decimals = repmat(rations, 1, LEN - 1);
	positions = kron(1:LEN-1, ones(1, ptsPerInt)) + decimals;
	
	newS = interp1(S', positions)';
	if size(newS, 2) == 1
		newS = newS';
	end
	
	S2 = [S newS];
end
