function [sigma, logLike] = updateSigma(S, sigmaOld)
	d = size(S,1);
	len = size(S, 2);
	sigma = zeros(d);
	logLike = 0;
	for i = 1:len
		yi = S(:,i);
		T = [S(:,1:i-1) S(:, i+1:end)]; % leave-one-out
		yimk = bsxfun(@minus, yi, T); % y_i minus y_k for each k in T
		Kyimk = kern(yimk, sigmaOld);
		sumK = sum(Kyimk);
		for j = 1:size(T, 2) % THIIIS IIIS SOOO SLOOOOW!
			yj = T(:,j);
			pi_ij = Kyimk(j) / sumK; % [Hlavackova-Schindler_PhysicsReports_2007, eq. (101)]
			sigma = sigma + pi_ij * (yi-yj)*(yi-yj)';
		end
		logLike = logLike + log(sumK/(len-1)); % [Hlavackova-Schindler_PhysicsReports_2007, eq. (99)]
		% I think this equation looks much simpler and is closer to its theoretical origin when we
		% just divide the inner sum by |T| (aka len-1)
	end
	sigma = sigma / size(S,2);
end

