function [ T, uncert ] = GPpredict( S, files )
%GPTRAIN train a general GP with 2D T (target values: X and Y)
	if nargin < 2
		files.fileInX = '/tmp/gp_inputX.txt';
		files.fileOutX = '/tmp/gp_outputX.txt';
		files.fileModelX = '/tmp/gp_modelX.gpm';
		files.fileInY = '/tmp/gp_inputY.txt';
		files.fileOutY = '/tmp/gp_outputY.txt';
		files.fileModelY = '/tmp/gp_modelY.gpm';
	end
	
	dlmwrite(files.fileInX, S', 'precision', 10);
	dlmwrite(files.fileInY, S', 'precision', 10);
	
	commandX = sprintf('python GP_query_trueVar.py -i %s -o %s -f %s -d %d -n %d',...
							files.fileInX, files.fileOutX, files.fileModelX, size(S, 1), size(S,2));
	commandY = sprintf('python GP_query_trueVar.py -i %s -o %s -f %s -d %d -n %d',...
							files.fileInY, files.fileOutY, files.fileModelY, size(S, 1), size(S,2));
	errX = system(commandX);
	errY = system(commandY);
	
	if errX ~= 0 || errY ~= 0
		error('Query unsuccessful!');
	end
	
	Tx = dlmread(files.fileOutX);
	Ty = dlmread(files.fileOutY);
	
	T = [Tx(:,1), Ty(:,1)]';
	uncert = [Tx(:,2), Ty(:,2)]';
	
	uncert = max(uncert, 1);
	
end

