function [] = GPtrain( S, T, files )
%GPTRAIN train a general GP with 2D T (target values: X and Y)
	if nargin < 3
		files.fileInX = '/tmp/gp_inputX.txt';
		files.fileModelX = '/tmp/gp_modelX.gpm';
		files.fileInY = '/tmp/gp_inputY.txt';
		files.fileModelY = '/tmp/gp_modelY.gpm';
	end

	
	dlmwrite(files.fileInX, [S' T(1,:)'], 'precision', 10);
	dlmwrite(files.fileInY, [S' T(2,:)'], 'precision', 10);
	
	commandX = sprintf('python GP_train.py -i %s -f %s -hyper 1 -d %d -n %d',...
										files.fileInX, files.fileModelX, size(S, 1), size(S,2));
	commandY = sprintf('python GP_train.py -i %s -f %s -hyper 1 -d %d -n %d',...
										files.fileInY, files.fileModelY, size(S, 1), size(S,2));
	
	errX = system(commandX);
	errY = system(commandY);
	
	if errX ~= 0 || errY ~= 0
		error('Training unsuccessful!');
	end
end

