function [ means, vars ] = predictSequence_time( posI, posO, dt, n, frameStart, frameEnd, files )
	if nargin < 7
		files.fileInI = '/tmp/gpCaus_inputI.txt';
		files.fileInO = '/tmp/gpCaus_inputO.txt';
		files.fileOut = '/tmp/gpCaus_output.txt';
	end
	if nargin < 6
		frameEnd = size(posI, 2);
	end
	if nargin < 5
		frameStart = 2;
	end
	
	
	LM = 5; % the maximal length of a batch
	len = size(posI, 2);
	bm = 1;
	bM = ceil((frameEnd-frameStart+1)/LM);
	resX = [];
	resY = [];
	resS = [];
% 	means = []; vars = []; return;
	
	dlmwrite(files.fileInI, posI(1,:), 'precision', 10);
	dlmwrite(files.fileInO, posO(1,:), 'precision', 10);
	
	for b = bm:bM
		if b == bm
			im = frameStart; % we don't want to predict the first one!
		else
			im = LM*(b-1) + frameStart;
		end
		if b == bM
			iM = frameEnd; % the last one is the last of the sequence
		else
			iM = LM*b + frameStart - 1;
		end
	
		command = sprintf('python GP_causalityTimeFramesB.py -fi %s -fo %s -o %s -n %d -dt %d -win %d -frames %d %d',...
									files.fileInI, files.fileInO, files.fileOut, len, dt, n, im, iM);
		if system(command) ~= 0
			error('LOL WUT?!?');
		end
		fprintf('%s\n', command);
	
		resX = [resX, dlmread(files.fileOut)];
	end
	
	dlmwrite(files.fileInI, posI(2,:), 'precision', 10);
	dlmwrite(files.fileInO, posO(2,:), 'precision', 10);
	
	for b = bm:bM
		if b == bm
			im = frameStart; % we don't want to predict the first one!
		else
			im = LM*(b-1) + frameStart;
		end
		if b == bM
			iM = frameEnd; % the last one is the last of the sequence
		else
			iM = LM*b + frameStart - 1;
		end
	
		command = sprintf('python GP_causalityTimeFramesB.py -fi %s -fo %s -o %s -n %d -dt %d -win %d -frames %d %d',...
									files.fileInI, files.fileInO, files.fileOut, len, dt, n, im, iM);
		if system(command) ~= 0
			error('LOL WUT?!?');
		end
		fprintf('%s\n', command);
	
		resY = [resY, dlmread(files.fileOut)];
	end
	
	
	dlmwrite(files.fileInI, posI(3,:), 'precision', 10);
	dlmwrite(files.fileInO, posO(3,:), 'precision', 10);
	
	for b = bm:bM
		if b == bm
			im = frameStart; % we don't want to predict the first one!
		else
			im = LM*(b-1) + frameStart;
		end
		if b == bM
			iM = frameEnd; % the last one is the last of the sequence
		else
			iM = LM*b + frameStart - 1;
		end
	
		command = sprintf('python GP_causalityTimeFramesB.py -fi %s -fo %s -o %s -n %d -dt %d -win %d -frames %d %d',...
									files.fileInI, files.fileInO, files.fileOut, len, dt, n, im, iM);
		if system(command) ~= 0
			error('LOL WUT?!?');
		end
		fprintf('%s\n', command);
	
		resS = [resS, dlmread(files.fileOut)];
	end
	
	means = [resX(1,:); resY(1,:); resS(1,:)];
	vars =  [resX(2,:); resY(2,:); resS(2,:)];
	
end
